cmake_minimum_required(VERSION 3.9) 
PROJECT(renderer)


aux_source_directory(${CMAKE_CURRENT_SOURCE_DIR} CPP_FILES)
foreach(FILE_PATH ${CPP_FILES})
  get_filename_component(FILE_NAME ${FILE_PATH} NAME_WLE)
  add_executable(${FILE_NAME} ${FILE_PATH})
  target_link_libraries(${FILE_NAME} LINK_PUBLIC spdlog eigen ${OpenCV_LIBS})
endforeach()
